Bug 183093 - Layout Test http/tests/resourceLoadStatistics/prevalent-resource-unhandled-keydown.html is flaky
Summary: Layout Test http/tests/resourceLoadStatistics/prevalent-resource-unhandled-ke...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: katherine_cheney
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-23 13:49 PST by Matt Lewis
Modified: 2019-10-29 11:34 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.87 KB, patch)
2019-10-25 14:53 PDT, katherine_cheney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lewis 2018-02-23 13:49:01 PST
The following layout test is a flaky timeout on macOS

http/tests/resourceLoadStatistics/prevalent-resource-unhandled-keydown.html

Probable cause:

Started timing out after skipping http/tests/resourceLoadStatistics/prevalent-resource-handled-keydown.html in https://trac.webkit.org/changeset/228403/webkit. This is not the first time this has happened and may have a greater fix in the works.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2FresourceLoadStatistics%2Fprevalent-resource-unhandled-keydown.html


https://build.webkit.org/results/Apple%20High%20Sierra%20Release%20WK2%20(Tests)/r228954%20(3106)/results.html

diff:

--- /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/http/tests/resourceLoadStatistics/prevalent-resource-unhandled-keydown-expected.txt
+++ /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/http/tests/resourceLoadStatistics/prevalent-resource-unhandled-keydown-actual.txt
@@ -1,11 +1,4 @@
-Tests that we do not grant User Interaction credit for unhandled keypress.
+#PID UNRESPONSIVE - com.apple.WebKit.WebContent.Development (pid 95693)
+FAIL: Timed out waiting for notifyDone to be called
 
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-Simulate an unhandled user key press.
-PASS Origin did not get user interaction credit.
-PASS successfullyParsed is true
-
-TEST COMPLETE
-
+#EOF
Comment 1 Radar WebKit Bug Importer 2018-02-27 17:40:33 PST
<rdar://problem/37964600>
Comment 2 Ryan Haddad 2018-03-21 14:18:17 PDT
Skipped test in https://trac.webkit.org/r229826
Comment 3 katherine_cheney 2019-10-25 14:53:47 PDT
Created attachment 381968 [details]
Patch
Comment 4 John Wilander 2019-10-29 10:48:37 PDT
Comment on attachment 381968 [details]
Patch

Looks good under the condition that you’ll keep an eye on the bots. :)

(iOS fail is unrelated test runner crashes as far as I can see.)
Comment 5 WebKit Commit Bot 2019-10-29 11:34:12 PDT
Comment on attachment 381968 [details]
Patch

Clearing flags on attachment: 381968

Committed r251715: <https://trac.webkit.org/changeset/251715>
Comment 6 WebKit Commit Bot 2019-10-29 11:34:14 PDT
All reviewed patches have been landed.  Closing bug.